Bug 1258430 - Review Request: dolphin - KDE File Manager
Review Request: dolphin - KDE File Manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews 1258678
  Show dependency treegraph
 
Reported: 2015-08-31 07:22 EDT by Daniel Vrátil
Modified: 2016-08-14 12:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-02 20:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2015-08-31 07:22:48 EDT
Spec URL: https://dvratil.fedorapeople.org/applications/review/dolphin.spec
SRPM URL: https://dvratil.fedorapeople.org/applications/review/dolphin-15.08.0-1.fc22.src.rpm
Description: KDE File Manager
Fedora Account System Username: dvratil

Dolphin has been split out from kde-baseapps in Applications 15.08 release, so I want to unretire the Dolphin package. The spec file has been written from scratch, because there's nothing in-common with the old one (just the name :-))
Comment 1 Christopher Meng 2015-08-31 07:34:28 EDT
%package        devel
Requires:       qt5-qtbase-devel%{?_isa}
Requires:       kf5-kio-devel%{?_isa}

%{?_isa} is needed if required package is not noarch.
Comment 2 Kevin Kofler 2015-08-31 08:10:01 EDT
Well, some code from the old KDE 3 version is probably still there somewhere. ;-) But packaging-wise, it's completely different, sure, so I'd also have rewritten the spec file from scratch.
Comment 3 Rex Dieter 2015-08-31 09:01:04 EDT
naming: ok

scriptlets: not ok
org.kde.dolphin.desktop contains:
org.kde.dolphin.desktop:MimeType=inode/directory;
1. SHOULD add mimetype scriptlet (update-desktop-database)

sources: ok
11760d094c2c3e3fff0e89b81d4db118  dolphin-15.08.0.tar.xz

builds: NOT ok, missing some buildrequires
2.  SHOULD add missing buildrequires

licensing: ok

3.  SHOULD add arch'd -devel dependencies per comment #1



APPROVED.


those items mentioned above, we can fix at our leisure prior to doing any official builds.
Comment 4 Daniel Vrátil 2015-08-31 09:10:17 EDT
Package Change Request
======================
Package Name: dolphin
New Branches: f22 f23 devel
Owners: dvratil group::kde-sig
Comment 5 Gwyn Ciesla 2015-08-31 14:01:08 EDT
Git done (by process-git-requests).
Comment 6 Rex Dieter 2015-09-01 10:04:18 EDT
I think the package still needs to be explicitly unretired, I'll look into that.
Comment 7 Rex Dieter 2015-09-01 10:06:07 EDT
https://fedoraproject.org/wiki/Package_SCM_admin_requests
says to explicitly mention that unretirement for these branches are required, so here we are.

Package Change Request
======================
Package Name: dolphin
New Branches: f22 f23 devel
Owners: dvratil group::kde-sig
Comment 8 Rex Dieter 2015-09-01 10:07:32 EDT
https://fedoraproject.org/wiki/Package_SCM_admin_requests
says to explicitly mention that unretirement for these branches are required, so here we are.

Please unretire for branches: f22 f23 devel
Comment 9 Rex Dieter 2015-09-01 10:09:34 EDT
Requested in 
https://admin.fedoraproject.org/pkgdb/package/dolphin/
too
Comment 10 Gwyn Ciesla 2015-09-01 10:28:51 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.